/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jerome Offroy.
Contributor(s): ______________________________________.

====================================================================*/
/*
 * Created on 10 juin 2003 by jerome OFFROY (offroy@lifl.fr)
 *
 */

package org.omg.lifl.eclipse.plugin.project.OpenCCM.utils;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;

/**
 * @author offroy
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class ORBChooser {
    private Group group_ ;
    private String ORBGroupLabel_;
    private String OBPathLabel_;
    
    public ORBChooser (Composite parent, String ORBGroupLabel, String OBPathLabel){
        setGroup_(new Group(parent, SWT.NONE));
        group_.setLayout(new RowLayout());
        setORBGroupLabel_(ORBGroupLabel);
        group_.setText(getORBGroupLabel_());
        Label label = new Label(group_, SWT.LEFT);
        setOBPathLabel_(OBPathLabel);
        label.setText(getOBPathLabel_());


    }
    

    /**
     * @return
     */
    public Group getGroup_() {
        return group_;
    }

    /**
     * @param group
     */
    public void setGroup_(Group group) {
        group_ = group;
    }

    /**
     * @return
     */
    public String getORBGroupLabel_() {
        return ORBGroupLabel_;
    }

    /**
     * @param string
     */
    public void setORBGroupLabel_(String string) {
        ORBGroupLabel_ = string;
    }

    /**
     * @return
     */
    public String getOBPathLabel_() {
        return OBPathLabel_;
    }

    /**
     * @param string
     */
    public void setOBPathLabel_(String string) {
        OBPathLabel_ = string;
    }

}
