
/*===========================================================================

ObjectWeb Naming Context Framework
Copyright (C) 2003 USTL - LIFL - GOAL
Contact: architecture@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jerome Moroy.
Contributor(s):  ______________________________________.

===========================================================================*/

package DiningPhilosophers.browser;

/** The administration console's imports */
import org.objectweb.util.browser.api.Panel;
import org.objectweb.util.browser.api.TreeView;

/** The java API's imports */
import java.awt.Color;
import javax.swing.Box;
import javax.swing.JButton;
import javax.swing.JPanel;
import java.util.List;
import java.util.Vector;
import javax.swing.AbstractAction;
import java.util.Iterator;
import javax.swing.JOptionPane;

import DiningPhilosophers.*;

/**
 * 
 *
 * @author <a href="mailto:Jerome.Moroy@lifl.fr">Jerome Moroy</a>
 * @version 0.1
 */
public class PhilosopherPanel
    implements Panel {

    /**
     * The observer's list
     */
    protected List observers_;

    /**
     * The philosopher
     */
    protected Philosopher philosopher_;

    /**
     * Default constructor
     */
    public PhilosopherPanel() {
        //setBackground(Color.white);
        observers_ = new Vector();
    }

    /**
     * Invokes just after instanciation
     */
    public void selected(TreeView treeView) {
        philosopher_ = (Philosopher) treeView.getSelectedObject();
        //  	Box box = Box.createVerticalBox();	
        //  	box.add(Box.createVerticalGlue());
        //  	box.add(Box.createVerticalStrut(10));
        //  	JButton button = new JButton(new ObserverAction("Observe"));
        //  	box.add(button);
        //  	box.add(Box.createVerticalGlue());
        //  	add(box);
    }

    public JPanel getPanel(){
        return null;   
    }

    public void unselected(TreeView treeView) {}

    /**
     *
     */
    final class ObserverAction extends AbstractAction {

        public ObserverAction(String name) {
            super(name);
        }

        public void actionPerformed(java.awt.event.ActionEvent ae) {
            //  	    try{
            //  		Observer o = oh.create();
            //  		StatusInfoConsumer consumer = o.get_consumer_info();
            //  		philosopher_.subscribe_info(consumer);
            //  		o.configuration_complete();
            //  		observers_.add(o);
            //  	    }catch(Exception e){
            //  		JOptionPane.showMessageDialog(null,e.getMessage(),"Exception",JOptionPane.ERROR_MESSAGE);
            //  	    }
        }
    }

}
