/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2002 USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.openccm.services.pss.jdo.lib;

/**
 * This helper class provides tools for Persistent ID.
 */
public class PIDHelper
{
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    /**
     * The default constructor.
     */
    public PIDHelper()
    {
    }

    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================


    // ==================================================================
    //
    // Public methods.
    //
    // ==================================================================

    /**
     * Dereference a pid.
     *
     * @return The binding storage object.
     */
    public static org.omg.CosPersistentState.StorageObject
    deref(byte[] pid)
    {
/*        java.lang.String[] fields_names = null,
                        fields_types = null;
        java.lang.Object[] key_values = null;

        // 1. Get the storage home
        org.objectweb.openccm.services.pss.common.lib.PIDHelper

        // 2. Find storage object in the storage home
        key_values = new java.lang.Object[1];
        key_values[0] = pid;

        fields_names = new java.lang.String[1];
        fields_names[0] = "_pid_state";

        fields_types = new java.lang.String[1];
        fields_types[0] = "String";

        return (org.omg.CosPersistentState.StorageObject)
                    sh.find_by_key(fields_names, fields_types, key_values); */
        return null;
    }
}
