/**
 * copyright 2002 2003 Laboratoire d'Informatique Paris 6 (LIP6)
 * 
 * This file is part of ModFact.
 * 
 * ModFact is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * at your option) any later version.
 * 
 * ModFact is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.lip6.src.modfact.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.zip.*;

public class ZipCreator {

	static String[] entries;

	public static void createZip(OutputStream zip, String rootDirectory) throws IOException {
		File directory = new File(rootDirectory);
		entries = directory.list();
		//Creation of the entry for the elements of the directory;
		byte b[] = new byte[512];
		ZipOutputStream zout = new ZipOutputStream(zip);
		if(directory.exists()) {}
		else {
			//System.out.println("totoooooooo");
		}
		InputStream in;
		ZipEntry e;
		for (int i = 0; i < entries.length; i++) {
			in = new FileInputStream(rootDirectory+entries[i]);
			e = new ZipEntry(entries[i].replace(File.separatorChar, '/'));
			zout.putNextEntry(e);
			int len = 0;
			while ((len = in.read(b)) != -1) {
				zout.write(b, 0, len);
			}
			zout.closeEntry();
			in.close();
		}
		zout.close();
	}

}