/**
 * copyright 2002 2003 Laboratoire d'Informatique Paris 6 (LIP6)
 * 
 * This file is part of ModFact.
 * 
 * ModFact is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * at your option) any later version.
 * 
 * ModFact is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

// le Code gnr de la ProxyClass: Constant
package org.omg.mof.Model;
public class ConstantClassImpl extends org.omg.mof.Model.ConstantClassPOA {
		org.omg.mof.Model.ModelPackage _model_package;
		//Ajout de la partie RefBaseObject 
		// Operation ref_mof_id
		  public java.lang.String ref_mof_id(){
		    int id = _orb().object_to_string(_this()).hashCode();
		     return String.valueOf(id);
		  }
		  // Operation ref_meta_object
		  public org.omg.mof.Reflective.RefObject ref_meta_object(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_meta_object method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		    }
		 // Operation ref_itself
		 public boolean ref_itself(org.omg.mof.Reflective.RefBaseObject other_object){
		     String id_obj = other_object.ref_mof_id();
		     if (ref_mof_id().equals(id_obj)) return true;
		     else return false;
		  }
		 // Operation ref_immediate_package
		 public org.omg.mof.Reflective.RefPackage ref_immediate_package(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_immediate_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		 }
		 // Operation ref_outermost_package
		 public org.omg.mof.Reflective.RefPackage ref_outermost_package(){
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_moutermost_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }
		  // Operation ref_delete
		 public void ref_delete() throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_delete method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }

		    //Ajout de la partie  RefObject
		// Operation ref_is_instance_of
		public boolean ref_is_instance_of(org.omg.mof.Reflective.RefObject some_class, boolean consider_subtypes) {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_is_instance_of method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_create_instance
		public org.omg.mof.Reflective.RefObject ref_create_instance(org.omg.CORBA.Any[] args) throws org.omg.mof.Reflective.MofError {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_create_instance method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_all_objects
		public org.omg.mof.Reflective.RefObject[] ref_all_objects(boolean include_subtypes){
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_all_objects method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_set_value
		public void ref_set_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_value) throws org.omg.mof.Reflective.MofError {
			throw new org.omg.CORBA.NO_IMPLEMENT("ref_set_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_value
		public org.omg.CORBA.Any ref_value(org.omg.mof.Reflective.RefObject feature) throws org.omg.mof.Reflective.NotSet, org.omg.mof.Reflective.MofError {
			throw new org.omg.CORBA.NO_IMPLEMENT("ref_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_unset_value
		public void ref_unset_value() throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_unset_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value
		public void ref_add_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element) throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value_before
		public void ref_add_value_before(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, org.omg.CORBA.Any before_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			 throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value_before method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value_at
		public void ref_add_value_at(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_modify_value
		public void ref_modify_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any old_element, org.omg.CORBA.Any new_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_modify_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_modify_value_at
		public void ref_modify_value_at(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_modify_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_remove_value
		public void ref_remove_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any existing_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			 throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_remove_value_at
		public void ref_remove_value_at(org.omg.mof.Reflective.RefObject feature, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_immediate_composite
		public org.omg.mof.Reflective.RefObject ref_immediate_composite() {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_outermost_composite
		public org.omg.mof.Reflective.RefObject ref_outermost_composite() {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_outermost_composite method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_invoke_operation(
		public org.omg.CORBA.Any ref_invoke_operation(org.omg.mof.Reflective.RefObject requested_temp, org.omg.mof.Reflective.ValueTypeListHolder args)
			throws org.omg.mof.Reflective.OtherException, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_invoke_operation( method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
	public org.omg.mof.Model.TypedElement[] all_of_type_typed_element() {
		org.omg.mof.Model.TypedElement[] _typed_element = _model_package.typed_element_ref().all_of_type_typed_element();
		return _typed_element; 
	} 
	public org.omg.mof.Model.ModelElement[] all_of_type_model_element() {
		org.omg.mof.Model.ModelElement[] _model_element = _model_package.model_element_ref().all_of_type_model_element();
		return _model_element; 
	} 
	public org.omg.mof.Model.Constant create_constant(String name, String annotation, org.omg.CORBA.Any value) throws org.omg.mof.Reflective.MofError {
		org.omg.mof.Model.ConstantImpl _constant = new org.omg.mof.Model.ConstantImpl(name, annotation, value, _this());
		try {
		_poa().activate_object(_constant);
		org.omg.CORBA.Object obj = _poa().servant_to_reference(_constant);
		org.omg.mof.Model.Constant _ref = org.omg.mof.Model.ConstantHelper.narrow(obj);
		all_class_vector_constant.addElement(_ref);
		return _ref;
		}
		catch(java.lang.Exception ex){
		ex.printStackTrace();
		System.exit(0);
		}
	return null;
	}
		java.util.Vector all_class_vector_constant = new java.util.Vector();
	public org.omg.mof.Model.Constant[] all_of_class_constant() {
		org.omg.mof.Model.Constant[] _constant = new org.omg.mof.Model.Constant[all_class_vector_constant.size()];
		for (int i=0; i< all_class_vector_constant.size(); i++) _constant[i]= (org.omg.mof.Model.Constant)all_class_vector_constant.elementAt(i);
		return _constant; 
	} 
	public org.omg.mof.Model.Constant[] all_of_type_constant() {
		java.util.Vector all_type_vector = new java.util.Vector();
		for(int i=0; i< all_class_vector_constant.size() ; i++) all_type_vector.addElement((org.omg.mof.Model.Constant)all_class_vector_constant.elementAt(i));
		org.omg.mof.Model.Constant[] all_type = new org.omg.mof.Model.Constant[all_type_vector.size()];
		for (int i=0; i< all_type_vector.size(); i++) all_type[i]= (org.omg.mof.Model.Constant)all_type_vector.elementAt(i);
		return all_type; 
	} 
	public ConstantClassImpl(org.omg.mof.Model.ModelPackage _model_package) {
		this._model_package = _model_package ;
	}
}
