<?xml version="1.0"?>
<!DOCTYPE softpkg SYSTEM "@CCM_DTD_DIR@/softpkg.dtd">
<softpkg name="ContainerManager" version="2,0">
	<title>Container manager</title>
	<pkgtype>CORBA Component</pkgtype>
	<author>
		<name>Briclet Frederic</name>
		<company>LIFL</company>
		<webpage href="http://corbaweb.lifl.fr/OpenCCM/"/>
	</author>
	<description>Illustrating a simple client/server-producer/consumers application</description>
	<license href="http://corbaweb.lifl.fr/OpenCCM/COPYRIGHT"/>
	<idl id="IDL:org/objectweb/openccm/ContainerManager:1.0">
		<link href="testgroup.idl3"/>
	</idl>
	<descriptor type="CORBA Component">
		<fileinarchive name="./META-INF/ContainerManager.ccd"/>
	</descriptor>
	<implementation id="ContainerManagerImpl">
		<os name="WinNT" version="4,0,0,0"/>
		<os name="Linux" version="2,2,17,0"/>
		<processor name="x86"/>
		<compiler name="JDK"/>
		<programminglanguage name="Java"/>
		<dependency type="ORB" action="assert">
			<name>OpenORB</name>
		</dependency>
		<code type="Java class">
			<fileinarchive name="@DCI_JAR_DIR@/OpenCCM_Deployment.jar"/>
			<entrypoint>org.objectweb.openccm.OpenCCM_DCI.cif.ContainerManagerHomeImpl.create_home</entrypoint>
		</code>
		<runtime name="Java VM" version="1,2,2,0"/>
		<runtime name="Java VM" version="1,3,0,0"/>
	</implementation>
</softpkg>