package org.objectweb.util.launcher.parser ;


import java.util.HashMap ;

public class XMLDescription
{
    protected HashMap runs_ ;
    protected HashMap options_ ;

    public XMLDescription() {
        runs_ = new HashMap() ;
        options_ = new HashMap() ;
    }

    public void addRun(RunDescription run) { runs_.put(run.getName(),run); }
    public RunDescription getRun(String id) { return (RunDescription) runs_.get(id) ; }

    public void addOption(OptionDescription option) {options_.put(option.getName(),option); }
    public OptionDescription getOption(String id) { return (OptionDescription) options_.get(id) ; }
}
