/**
 * copyright 2002 2003 Laboratoire d'Informatique Paris 6 (LIP6)
 * 
 * This file is part of ModFact.
 * 
 * ModFact is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * at your option) any later version.
 * 
 * ModFact is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.lip6.src.modfact.generation.jmi;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintWriter;

import org.omg.mof.Model.ModelElement;

import fr.lip6.src.modfact.util.Helper;

/**
 * 
 */
public class CommonInterfaceTemplate {
	
	// La partie I/O
	PrintWriter out;

	//Helper
	Helper helper;
	
	public void javadocsTemplate(ModelElement element) {
	}

	/**
	 * Returns the helper.
	 * @return Helper
	 */
	public Helper getHelper() {
		return helper;
	}

	/**
	 * Returns the out.
	 * @return PrintWriter
	 */
	public PrintWriter getOut() {
		return out;
	}

	/**
	 * Sets the helper.
	 * @param helper The helper to set
	 */
	public void setHelper(Helper helper) {
		this.helper = helper;
	}

	/**
	 * Sets the out.
	 * @param out The out to set
	 */
	public void setOut(PrintWriter out) {
		this.out = out;
	}
	
	/**
	 * Sets the out.
	 * @param out The out to set
	 */
	public void setOut(String out) throws FileNotFoundException{
		this.out = new PrintWriter(new FileOutputStream(new File(out)));
	}
	
	public void closeFile() {
		out.close();
	}

}
